import React from 'react'

class Match extends React.Component {
  render () {
    const data = this.props.match
    const matchDate = data[1] ? data[1].split('/') : null
    const matchTime = data[2] ? data[2].split(':') : null
    const Ort = data[0]
    const Datum = data[1]
    const Zeit = data[2]
    const Konkurrenz = data[3].replace(/\s+/, ' ')
    const Spieler1 = data[4]
    const Spieler1Klassierung = data[5]
    const Spieler2 = data[6]
    const Spieler2Klassierung = data[7]

    return (
      <li>
        {Ort ? Ort : <strong>Kein Platz zugeteilt</strong>}, {Datum ? Datum : <strong>Kein Datum zugeteilt</strong>}, {Zeit ? Zeit : <strong>Keine Zeit zugeteilt</strong>}, {Konkurrenz}, {Spieler1}, {Spieler2}
      </li>
    )
  }
}

export default Match
