import React from 'react'

class Player extends React.Component {
  render () {
    const data = this.props.player
    const bdate1 = data[7] ? data[7].split('/') : null
    const bdate2 = data[26] ? data[26].split('/') : null
    const Konkurrenz = data[0].replace(/\s+/, ' ')
    const Lizenz = data[2]
    const Name = data[5]
    const Vorname = data[6]
    const Geburtsdatum = bdate1 ? new Date(bdate1[2], bdate1[1]-1, bdate1[0]) : null
    const Klassierung = data[17]
    const LizenzDP = data[23]
    const NameDP = data[24]
    const VornameDP = data[25]
    const GeburtsdatumDP = bdate2 ? new Date(bdate2[2], bdate2[1]-1, bdate2[0]) : null
    const KlassierungDP = data[27]
    const Bestaetigt = data[29] === "TRUE" ? true : false
    const Bezahlt = data[31] === "TRUE" ? true : false

    return (
      <li>
        <i>{Konkurrenz}</i> <b>{Name}</b> {Vorname}
      </li>
    )
  }
}

export default Player
